
Core - Bug # 31663

Status: Resolved Priority: Must have
Author: Daniela Petrosino Category: Workspaces
Created: 2011-11-08 Assigned To: Stefan Neufeind
Updated: 2013-12-10 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression:
Sprint Focus:
Subject: Moving pages (and page content) in the Workspace does not work
Description

TYPO3 version 4.5.7, iOS X or Lion or PC
Moving pages (and page content) on the Workspace (via "drag and drop" on the page tree or using the "cut + paste it into"-function)
does not work. If you want to move a page A into a page B, it may appear, but this is invalid after reloading the page tree. If you look
at the menu item "workspace" it is to recognize that the changes are not registered/noted. The problem seems random and only on
some pages and workspaces to appear. Moreover, the problem can be reproduced on other typo3 installations. Is there any
adjustment missing out or can the problem be due to the allocation of rights? Since this is a very big typo3 project, all ext. that write
into the page-table + DB have been cleaned + Log on MyISAM converted.

Related issues:
related to Core - Bug # 33104: create/move initial-placeholder page behind mo... Resolved 2012-01-11
related to Core - Bug # 32592: Moving nested FCEs in Workspace New 2011-12-15
duplicated by Core - Bug # 28846: Nested FCEs in Templavoila will be destroye... Resolved 2011-08-08
duplicated by Core - Bug # 28974: Sorting of content elements fails in worksp... Resolved 2011-08-15
duplicated by Core - Bug # 19102: "Move page after" doesn't work correctly in... Resolved 2008-07-14

Associated revisions
Revision c0963b50 - 2011-11-21 21:55 - Stefan Neufeind

[BUGFIX] Respect move-placeholders when moving records in workspace

When moving records in a workspace existing move-placeholders
need to be taken into account to get values for pid/sorting
correct.

Change-Id: I973899f6940ced60800814a5ffb9271ffd58c8e5
Fixes: #31663
Releases: 4.5, 4.6, 4.7
Reviewed-on: http://review.typo3.org/6725
Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

Revision ebc8cf42 - 2011-11-21 21:59 - Stefan Neufeind

[BUGFIX] Respect move-placeholders when moving records in workspace

When moving records in a workspace existing move-placeholders
need to be taken into account to get values for pid/sorting
correct.

Change-Id: I3507321fe092bb8e87cec3d4f4bf079983165788
Fixes: #31663
Releases: 4.5, 4.6, 4.7
Reviewed-on: http://review.typo3.org/6792
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

Revision c635e888 - 2011-11-21 22:04 - Stefan Neufeind

[BUGFIX] Respect move-placeholders when moving records in workspace

When moving records in a workspace existing move-placeholders
need to be taken into account to get values for pid/sorting
correct.

Change-Id: I8d12b0b3e7b7842be64bec0b649661c6a4a054c8
Fixes: #31663
Releases: 4.5, 4.6, 4.7
Reviewed-on: http://review.typo3.org/6794
Reviewed-by: Stefan Neufeind
Tested-by: Stefan Neufeind

History
#1 - 2011-11-09 10:00 - Tolleiv Nietsch
- Status changed from New to Needs Feedback

It's quite hard to fix "random" behaviour - are you able to reproduce this misbehaviour within the Introduction Package? How?

#2 - 2011-11-09 12:43 - Daniela Petrosino
- File screenshots.jpg added

I was able to reproduce the bug within the Introduction Package. Just create a workspace and try to move some pages as child under for example
"Features". Then we moved "Features" and pressed the reload button.

What you see next is that some pages jumped back. This mostly happens with more than 3 child pages, but its pretty random.

We also looked in the mysql.log and the "UPDATE" query has the wrong pid.

#3 - 2011-11-09 12:49 - Daniela Petrosino

I forgot we could reproduce the bug in typo3 4.5.7 and 4.6

#4 - 2011-11-14 15:07 - Franz Koch
I'm currently also having issues on moving pages on the rootlevel of the website. It seems as if instead of the UID of the rootpage the UID of the page
itself is stored as PID (thus recursive) and the page is gone then.

#5 - 2011-11-15 17:50 - Stefan Neufeind
- Status changed from Needs Feedback to Accepted

#6 - 2011-11-18 04:02 - Mr. Hudson

Patch set 1 of change I973899f6940ced60800814a5ffb9271ffd58c8e5 has been pushed to the review server.
It is available at http://review.typo3.org/6725

#7 - 2011-11-20 23:14 - Stefan Neufeind
- Status changed from Accepted to Under Review
- Assigned To set to Stefan Neufeind

#8 - 2011-11-21 21:44 - Mr. Jenkins

Patch set 2 of change I973899f6940ced60800814a5ffb9271ffd58c8e5 has been pushed to the review server.
It is available at http://review.typo3.org/6725

#9 - 2011-11-21 21:49 - Mr. Jenkins

Patch set 3 of change I973899f6940ced60800814a5ffb9271ffd58c8e5 has been pushed to the review server.
It is available at http://review.typo3.org/6725

#10 - 2011-11-21 21:58 - Mr. Jenkins

Patch set 1 of change I3507321fe092bb8e87cec3d4f4bf079983165788 has been pushed to the review server.
It is available at http://review.typo3.org/6792

#11 - 2011-11-21 22:03 - Mr. Jenkins

Patch set 1 of change I8d12b0b3e7b7842be64bec0b649661c6a4a054c8 has been pushed to the review server.
It is available at http://review.typo3.org/6794

#12 - 2011-11-21 22:08 - Stefan Neufeind
- Status changed from Under Review to Resolved

#13 - 2011-12-08 10:50 - Webadmin no-lastname-given

Is this change not included in Typo3 4.5.8? I have just updated my installation and the problems are still there. The issue is also not listed in the
changelog.

#14 - 2011-12-08 11:02 - Stefan Neufeind

It is included in 4.5.8. Unfortunately the changelog wasn't updated to mention this (and various other) changes when packaging the new release.
Are you maybe hitting a corner-case which is not exactly what this bugfix here was about?

If you can, please try with a clean 4.5.8-installation (introduction-package maybe), try to reproduce your error and create a new issue on how to
reproduce the problems you see. I promise to take a look a closer look at it then :-)

#15 - 2011-12-15 13:00 - Webadmin no-lastname-given

Thank you for quick response. You're right. It seems that our test was to weak. See #32592.

#16 - 2013-12-10 01:04 - Michael Stucki
- Category changed from Bugs to Workspaces

#17 - 2013-12-10 01:06 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
